GNU bug report logs - #48639
28.0.50; tabulated-list-mode: columns move if previous entry was too long

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: confirmed fixed; merged with #53133; dated Tue, 25 May 2021 05:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 48639 53133. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 28.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 48639 <at> debbugs.gnu.org and Jean Louis <bugs@HIDDEN> Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48639 <at> debbugs.gnu.org:


Received: (at 48639) by debbugs.gnu.org; 24 Sep 2021 22:46:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 18:46:46 2021
Received: from localhost ([127.0.0.1]:59434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTtxt-0004nT-Or
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 18:46:45 -0400
Received: from mail-pj1-f49.google.com ([209.85.216.49]:45001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mTtxs-0004n5-0y
 for 48639 <at> debbugs.gnu.org; Fri, 24 Sep 2021 18:46:44 -0400
Received: by mail-pj1-f49.google.com with SMTP id
 nn5-20020a17090b38c500b0019af1c4b31fso8646479pjb.3
 for <48639 <at> debbugs.gnu.org>; Fri, 24 Sep 2021 15:46:43 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=osLqB+fynL2G3dV3y3kB59GaxQp/qVuX+JG9+BBX+/k=;
 b=SqJxg0P5/bTFn3wA9RrBHoN5U/pPH2BMF2P3Iu2CGx0qx+GKEqctKvNnNv3jwjJyKu
 nCs43/r3n9aA2zXKJctM5ztpKZE5z4JCmDu/a0BYpgwIQXqgr8+CDhNHAZUqJ7QzBlnA
 ozZfCxq99b9uBpnE1C46zQ3vueNZ4juWZ/N4z6OfqeTw+neiJubYP6Fo8vsGteAdaivb
 jNSBCTzWlYlKIDbmNhnlM/ltu3RTWZIcFcYJyyTbUsPW7pPAv67EtYkT75QhXo1Cg3eW
 ZV3opQDR30Om5iMe/xauANv//WhckRYkJQCgmnOPq05eltE9I9hgQKOwg/C5rwe4IEIN
 iFWA==
X-Gm-Message-State: AOAM5323tjuGIWIwDXkG9vQyAGLD8FRm4MdZFWEqVoCEKjRpS3HvqO1t
 wkcpxDxoJplwDj2W5Z2Z/zt7E1ugMl0gKyc2ASw=
X-Google-Smtp-Source: ABdhPJw5ucqYbm9trWzT4b/ofcgxG8qV3s/6t0aM0AM7iKdwXPU93Hd4m7wzJpMn/QNvhgZy3Ipnv1K6JvPPLTzgfbU=
X-Received: by 2002:a17:90a:5583:: with SMTP id
 c3mr4909146pji.133.1632523598167; 
 Fri, 24 Sep 2021 15:46:38 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 24 Sep 2021 15:46:37 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <837dfb3f97.fsf@HIDDEN>
References: <86v977jtcq.fsf@HIDDEN>
 <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
 <83zgs831re.fsf@HIDDEN>
 <CADwFkmmGVWTfYW24b925x6-s84rsSmsxekNa3NOzMePGEYoZ1Q@HIDDEN>
 <83lf3r3m2i.fsf@HIDDEN>
 <CADwFkmmAgVXbjeQDuD__rchn+Mm9mQYYvYLWoHOJ9=Zjg89K-Q@HIDDEN>
 <837dfb3f97.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 24 Sep 2021 15:46:37 -0700
Message-ID: <CADwFkmkwnMaAkPEQ0BNCjBBbWgMfxUbpOCKmVR4arxaRjLpC8A@HIDDEN>
Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous
 entry was too long
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48639
Cc: 48639 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tags 48639 fixed
close 48639 28.1
thanks

Eli Zaretskii <eliz@HIDDEN> writes:

>> Try `list-packages'; move point to the "Name" column, hit `{' until you
>> see the "..." glyph indicating selective display, and finally `C-x -'.
>>
>> Now, for some packages, but not all, the "Version" column no longer
>> has the correct horizontal alignment.  It is too far to the left.
>
> That's because :align-to display spec is no longer there, isn't it?
> there's only a single SPC character.

Indeed, that was the root cause of this.  This bug is now fixed on
master (commit 2767c89db7).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.

Message received at 48639 <at> debbugs.gnu.org:


Received: (at 48639) by debbugs.gnu.org; 20 Sep 2021 06:58:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 02:58:33 2021
Received: from localhost ([127.0.0.1]:40809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSDFz-00024d-S2
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 02:58:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mSDFx-00024M-M6
 for 48639 <at> debbugs.gnu.org; Mon, 20 Sep 2021 02:58:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51348)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mSDFs-00026W-5x; Mon, 20 Sep 2021 02:58:20 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1372
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mSDFr-0006A0-PY; Mon, 20 Sep 2021 02:58:20 -0400
Date: Mon, 20 Sep 2021 09:58:12 +0300
Message-Id: <837dfb3f97.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmAgVXbjeQDuD__rchn+Mm9mQYYvYLWoHOJ9=Zjg89K-Q@HIDDEN>
 (message from Stefan Kangas on Sun, 19 Sep 2021 23:25:31 -0700)
Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous
 entry was too long
References: <86v977jtcq.fsf@HIDDEN>
 <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
 <83zgs831re.fsf@HIDDEN>
 <CADwFkmmGVWTfYW24b925x6-s84rsSmsxekNa3NOzMePGEYoZ1Q@HIDDEN>
 <83lf3r3m2i.fsf@HIDDEN>
 <CADwFkmmAgVXbjeQDuD__rchn+Mm9mQYYvYLWoHOJ9=Zjg89K-Q@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48639
Cc: 48639 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 19 Sep 2021 23:25:31 -0700
> Cc: bugs@HIDDEN, 48639 <at> debbugs.gnu.org
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I'm saying that some parts of the display are scaled by "C-x -" while
> > others aren't, and that is what causes misalignment.
> 
> I could be wrong, but it seems to me that all fonts are scaling
> correctly.

The display is not made only of letters and numbers.

> My guess is that it has to with how :align-to interacts with
> selective display, either a bug in its interaction, or an incorrect use
> of these features in 'tabulated-list-mode'.
> 
> > list-processes is not a good example: it depends on what is going on
> > in the session, and in "emacs -Q" the display will generally be
> > empty.  Can you please use some other command, and explain there what
> > is wrong with scaling the display?
> 
> Try `list-packages'; move point to the "Name" column, hit `{' until you
> see the "..." glyph indicating selective display, and finally `C-x -'.
> 
> Now, for some packages, but not all, the "Version" column no longer
> has the correct horizontal alignment.  It is too far to the left.

That's because :align-to display spec is no longer there, isn't it?
there's only a single SPC character.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.

Message received at 48639 <at> debbugs.gnu.org:


Received: (at 48639) by debbugs.gnu.org; 20 Sep 2021 06:25:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 02:25:39 2021
Received: from localhost ([127.0.0.1]:40790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSCkF-0007Ua-6D
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 02:25:39 -0400
Received: from mail-pl1-f171.google.com ([209.85.214.171]:34581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mSCkD-0007UH-I7
 for 48639 <at> debbugs.gnu.org; Mon, 20 Sep 2021 02:25:38 -0400
Received: by mail-pl1-f171.google.com with SMTP id a7so1716227plm.1
 for <48639 <at> debbugs.gnu.org>; Sun, 19 Sep 2021 23:25:37 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=K2iTP26mSaD0mNVWHdPqP9Xnkw5emukLrtusjEBlPPI=;
 b=Xy56LYPabDKsxnfrmyqyqd7ToUortylUWOL6YdeNH2fdW7tI3kum9eTmNZldUXHpXV
 Yg2ONKjV9usFL+kG3q8nS3jkcouK9XoJbLKJ6fzIts3sxA6NdlAg3FTFtwnuqLm69HBY
 olCTHP6IItGtMPcsEL/nwPe/2gbT+C35EbeXg3Q5t2SDxtRJv+oXTOBX61m+vqMoutju
 aB46VyISo6xrx5bNkU7pRzBNVUlj6U2cd94IdfiqwsP44f4orvpebfbdcLbcQGbohTjV
 I5ua2p8Zzf/u8Stts1fqpEePAP6yK3WrdEsOoc/pfJsqWl7Q8yuGMlnBi1SavGa37mgA
 igYQ==
X-Gm-Message-State: AOAM5320gycUgLIkArrTdvR39BWLfoxiQIffRdjUxNZKPqWOUy6/qy7N
 Xg97PIC6aRXekebjVhMByXEmFsFqjxHPr0fGkog=
X-Google-Smtp-Source: ABdhPJw0gIiLA+O2MQu/+61YZYJNVdFjqZv+9knP5mQrnFtXs5Az0CmZpHYiYdfGa9aXiMqPc6kMh8R1mcopPgmcvMo=
X-Received: by 2002:a17:902:b691:b029:12d:2b6:d116 with SMTP id
 c17-20020a170902b691b029012d02b6d116mr21063389pls.71.1632119131629; Sun, 19
 Sep 2021 23:25:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 19 Sep 2021 23:25:31 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83lf3r3m2i.fsf@HIDDEN>
References: <86v977jtcq.fsf@HIDDEN>
 <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
 <83zgs831re.fsf@HIDDEN>
 <CADwFkmmGVWTfYW24b925x6-s84rsSmsxekNa3NOzMePGEYoZ1Q@HIDDEN>
 <83lf3r3m2i.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 19 Sep 2021 23:25:31 -0700
Message-ID: <CADwFkmmAgVXbjeQDuD__rchn+Mm9mQYYvYLWoHOJ9=Zjg89K-Q@HIDDEN>
Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous
 entry was too long
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48639
Cc: 48639 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> I'm saying that some parts of the display are scaled by "C-x -" while
> others aren't, and that is what causes misalignment.

I could be wrong, but it seems to me that all fonts are scaling
correctly.  My guess is that it has to with how :align-to interacts with
selective display, either a bug in its interaction, or an incorrect use
of these features in 'tabulated-list-mode'.

> list-processes is not a good example: it depends on what is going on
> in the session, and in "emacs -Q" the display will generally be
> empty.  Can you please use some other command, and explain there what
> is wrong with scaling the display?

Try `list-packages'; move point to the "Name" column, hit `{' until you
see the "..." glyph indicating selective display, and finally `C-x -'.

Now, for some packages, but not all, the "Version" column no longer
has the correct horizontal alignment.  It is too far to the left.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.

Message received at 48639 <at> debbugs.gnu.org:


Received: (at 48639) by debbugs.gnu.org; 20 Sep 2021 04:31:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 00:31:20 2021
Received: from localhost ([127.0.0.1]:40469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSAxb-00066i-QC
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 00:31:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mSAxZ-00066V-CQ
 for 48639 <at> debbugs.gnu.org; Mon, 20 Sep 2021 00:31:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46104)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mSAxT-0002b5-Ol; Mon, 20 Sep 2021 00:31:11 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4015
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mSAxS-0002LF-IJ; Mon, 20 Sep 2021 00:31:11 -0400
Date: Mon, 20 Sep 2021 07:31:01 +0300
Message-Id: <83lf3r3m2i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmmGVWTfYW24b925x6-s84rsSmsxekNa3NOzMePGEYoZ1Q@HIDDEN>
 (message from Stefan Kangas on Sun, 19 Sep 2021 13:57:53 -0700)
Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous
 entry was too long
References: <86v977jtcq.fsf@HIDDEN>
 <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
 <83zgs831re.fsf@HIDDEN>
 <CADwFkmmGVWTfYW24b925x6-s84rsSmsxekNa3NOzMePGEYoZ1Q@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48639
Cc: 48639 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 19 Sep 2021 13:57:53 -0700
> Cc: bugs@HIDDEN, 48639 <at> debbugs.gnu.org
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> The problem can be observed in e.g. M-x list-processes, reducing the
> >> width of a column with `{' until it is too narrow to fit the text (you
> >> now see "..."), and finally `C-x -' to decrease the font size.
> >
> > I'm not sure I understand: is this about the fact that "C-x -" and
> > friends doesn't affect all the faces?
> 
> Hmm.  No, I don't think that's it.  Or maybe I don't understand what
> you're saying.

I'm saying that some parts of the display are scaled by "C-x -" while
others aren't, and that is what causes misalignment.

> What I see is that one column, immediately after one where text is
> hidden with "04" due to lack of space, stops lining up.
> 
> So in `M-x list-processes' the first four columns look something like
> this on my screen (the first line is the header line):
> 
> Process         PID       Status    Buffer
> ielm            1651304 run          *ielm*
> ispell          2423740 run          --
> server          --        listen    --
> 
> Note how on the first and second line below the header, "run" does not
> align with "Status" in the header like "listen" does.  Instead they end
> up stuck next to "40".
> 
> This happens when you have first shrunk the column to be too small using
> `{', and then scale the font size down using `C-x -'.

list-processes is not a good example: it depends on what is going on
in the session, and in "emacs -Q" the display will generally be
empty.  Can you please use some other command, and explain there what
is wrong with scaling the display?  Because I don't think I understand
the descriptions so far, and the movie that was posted by the OP I
cannot watch here.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.

Message received at 48639 <at> debbugs.gnu.org:


Received: (at 48639) by debbugs.gnu.org; 19 Sep 2021 20:58:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 16:58:04 2021
Received: from localhost ([127.0.0.1]:40092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS3sx-0007cK-QO
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 16:58:04 -0400
Received: from mail-pl1-f181.google.com ([209.85.214.181]:34472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mS3su-0007bm-GY
 for 48639 <at> debbugs.gnu.org; Sun, 19 Sep 2021 16:58:02 -0400
Received: by mail-pl1-f181.google.com with SMTP id a7so1081354plm.1
 for <48639 <at> debbugs.gnu.org>; Sun, 19 Sep 2021 13:58:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=+BoW+0SrTjrt86RH6qcDu8eEGUHfUbfLJhDi3xvK35c=;
 b=S4J7MNAjfiUSDcA4magfELr1PMEL1EvRxSGAdDTpaptrcZ4FySON81vYWxxorGSRtN
 aFliY5l8ERBCM0OXZmFCuFbKIRpbf7+dhz8kWtAIE88L/HeC0fX46YjuQb4P9H0YPR/4
 2/Y7tdAR0Gyo/rwM1G3hqxxJ0YOxktxRjK75r6Ff40XM/fdyjOmdolbsiDDkxWG5N90R
 JWhrO4Rn7tOZBFXHVOBsdQRHYPOEsFqJj2a2yr2Zes9NL5We3X8ZZWxVk3xJcEbFRZeR
 20VrwY43FI5LcPWuEKpXhO49rQlEj9FBV26tfUIDC2qBZy/oh8JaFLOvPW1rmikLyOu+
 GPZQ==
X-Gm-Message-State: AOAM531dPBT+wXX5tNmLxB1ibni5Z8bMlQbmCWhlcj/1rvGwMPmIeJHA
 QIwCWONHl8MKhDawQGZnujB0jeozQOpV0H+/zlM=
X-Google-Smtp-Source: ABdhPJy0ls/8Cr+MVZ8vQRCLe0FuvFJJeGhPZdgeUKN+xGJg8Ha7dC8wya0Xr0DS/TAjeMGNkpEngnoROl6di2X4CUE=
X-Received: by 2002:a17:902:d505:b0:13d:b037:2087 with SMTP id
 b5-20020a170902d50500b0013db0372087mr1623150plg.22.1632085074448; Sun, 19 Sep
 2021 13:57:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 19 Sep 2021 13:57:54 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83zgs831re.fsf@HIDDEN>
References: <86v977jtcq.fsf@HIDDEN>
 <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
 <83zgs831re.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 19 Sep 2021 13:57:53 -0700
Message-ID: <CADwFkmmGVWTfYW24b925x6-s84rsSmsxekNa3NOzMePGEYoZ1Q@HIDDEN>
Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous
 entry was too long
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48639
Cc: 48639 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> The problem can be observed in e.g. M-x list-processes, reducing the
>> width of a column with `{' until it is too narrow to fit the text (you
>> now see "..."), and finally `C-x -' to decrease the font size.
>
> I'm not sure I understand: is this about the fact that "C-x -" and
> friends doesn't affect all the faces?

Hmm.  No, I don't think that's it.  Or maybe I don't understand what
you're saying.

What I see is that one column, immediately after one where text is
hidden with "04" due to lack of space, stops lining up.

So in `M-x list-processes' the first four columns look something like
this on my screen (the first line is the header line):

Process         PID       Status    Buffer
ielm            1651304 run          *ielm*
ispell          2423740 run          --
server          --        listen    --

Note how on the first and second line below the header, "run" does not
align with "Status" in the header like "listen" does.  Instead they end
up stuck next to "40".

This happens when you have first shrunk the column to be too small using
`{', and then scale the font size down using `C-x -'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.

Message received at 48639 <at> debbugs.gnu.org:


Received: (at 48639) by debbugs.gnu.org; 19 Sep 2021 17:37:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 13:37:41 2021
Received: from localhost ([127.0.0.1]:39841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS0l3-0002QQ-A5
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 13:37:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mS0l1-0002QD-Kv
 for 48639 <at> debbugs.gnu.org; Sun, 19 Sep 2021 13:37:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58744)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mS0kw-00042w-65; Sun, 19 Sep 2021 13:37:34 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3899
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mS0kv-000115-PY; Sun, 19 Sep 2021 13:37:34 -0400
Date: Sun, 19 Sep 2021 20:37:25 +0300
Message-Id: <83zgs831re.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
 (message from Stefan Kangas on Sun, 19 Sep 2021 10:07:39 -0700)
Subject: Re: bug#48639: 28.0.50;
 tabulated-list-mode: columns move if previous entry was too long
References: <86v977jtcq.fsf@HIDDEN>
 <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48639
Cc: 48639 <at> debbugs.gnu.org, bugs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 19 Sep 2021 10:07:39 -0700
> Cc: 48639 <at> debbugs.gnu.org
> 
> > Tabulated list mode got quite a good support for zooming. Though I am
> > observing that if one of entries was too long that the next entry will
> > stick to the previous on decrease of text size. Video is to explain it:
> >
> > https://gnu.support/files/tmp/2021-05-25/2021-05-25-08:00:37.ogv
> >
> > In this case, on the video, the word "Task" is moved away from the
> > column because the previous entry is too long, the one which shows three
> > dots on the end.
> 
> I can reproduce this on current master.
> 
> The problem can be observed in e.g. M-x list-processes, reducing the
> width of a column with `{' until it is too narrow to fit the text (you
> now see "..."), and finally `C-x -' to decrease the font size.

I'm not sure I understand: is this about the fact that "C-x -" and
friends doesn't affect all the faces?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48639 <at> debbugs.gnu.org:


Received: (at 48639) by debbugs.gnu.org; 19 Sep 2021 17:07:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 13:07:50 2021
Received: from localhost ([127.0.0.1]:39785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS0IA-0007t6-DM
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 13:07:50 -0400
Received: from mail-pg1-f175.google.com ([209.85.215.175]:43804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mS0I6-0007sS-42
 for 48639 <at> debbugs.gnu.org; Sun, 19 Sep 2021 13:07:46 -0400
Received: by mail-pg1-f175.google.com with SMTP id r2so14980342pgl.10
 for <48639 <at> debbugs.gnu.org>; Sun, 19 Sep 2021 10:07:46 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=umVKq+Qze+VdwWsnS+dpI5rEkL+iDuu5wV4v1XWwKrM=;
 b=1z4WtE7XVQfieqYkkSuuLzMrbRv2uaTRWjbjq+tJrB1TYYiQXe9lXLUAjozB6q+w0p
 DlzJPYhRXgLDalPQFp3BQbRUkT5HzTmXD2aVhYciIh8X7atAx1O0emfTYhBhqXZYUKPw
 oG8ICCCI8s1X/rXrPuyYfEbR2EUMHnnjTPYaep2W/Z0ZczuR3Z5t/ztB2USVmnZ0fpqp
 ZyMHw7evAkSwVxTeAdqo8jThG1ud8MTJRg39HXCSqaJgB42vC4GF3YTy3Gv0K6ZU01RP
 Xh6hpzMJVzna6GZViwT5tvHc1WAtqtcBfl8W78yFdIGMp7CWey/C1Hfbas2hRy/QSkju
 0Hhw==
X-Gm-Message-State: AOAM533o7ZKcY+1kby5QAO4++iAuD5g/nhSACmalO0gCezt1R2/IL0zi
 lL1CGnq1qqV/Qlpg5DDn9mC/rDtkBYZG+GiYKf7mSQT0
X-Google-Smtp-Source: ABdhPJynX5KsHgNCjaxtY1E6JLpaBzdtPM/MhEgx7xsRwB/dI27QqHaGJJJcJ0udY3ceemdICCjg+ax6NfHTocY9qXA=
X-Received: by 2002:a63:7d5d:: with SMTP id m29mr19789882pgn.114.1632071259411; 
 Sun, 19 Sep 2021 10:07:39 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 19 Sep 2021 10:07:39 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <86v977jtcq.fsf@HIDDEN> (Jean Louis's message of
 "Tue, 25 May 2021 08:05:41 +0300")
References: <86v977jtcq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sun, 19 Sep 2021 10:07:39 -0700
Message-ID: <CADwFkmnZ1oighK6xKWvhSaQRrigJGZYqT-sdk4-3QDrO8U60AQ@HIDDEN>
Subject: Re: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous
 entry was too long
To: Jean Louis <bugs@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 48639
Cc: 48639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tags 48639 + confirmed
thanks

Jean Louis <bugs@HIDDEN> writes:

> Tabulated list mode got quite a good support for zooming. Though I am
> observing that if one of entries was too long that the next entry will
> stick to the previous on decrease of text size. Video is to explain it:
>
> https://gnu.support/files/tmp/2021-05-25/2021-05-25-08:00:37.ogv
>
> In this case, on the video, the word "Task" is moved away from the
> column because the previous entry is too long, the one which shows three
> dots on the end.

I can reproduce this on current master.

The problem can be observed in e.g. M-x list-processes, reducing the
width of a column with `{' until it is too narrow to fit the text (you
now see "..."), and finally `C-x -' to decrease the font size.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 May 2021 05:08:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 25 01:08:37 2021
Received: from localhost ([127.0.0.1]:44411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1llPIz-00066x-Ff
	for submit <at> debbugs.gnu.org; Tue, 25 May 2021 01:08:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:48200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <admin@HIDDEN>) id 1llPIw-00066o-8v
 for submit <at> debbugs.gnu.org; Tue, 25 May 2021 01:08:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44046)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1llPIu-0000xL-QC
 for bug-gnu-emacs@HIDDEN; Tue, 25 May 2021 01:08:33 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:43015)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <admin@HIDDEN>)
 id 1llPIs-00008W-Qk
 for bug-gnu-emacs@HIDDEN; Tue, 25 May 2021 01:08:32 -0400
Received: from localhost ([::ffff:197.239.4.220])
 (AUTH: PLAIN admin, TLS: TLS1.3,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 00000000000ADF02.0000000060AC862B.0000058E; Mon, 24 May 2021 22:07:55 -0700
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; tabulated-list-mode: columns move if previous entry was
 too long
Date: Tue, 25 May 2021 08:05:41 +0300
Message-ID: <86v977jtcq.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=217.170.207.13;
 envelope-from=admin@HIDDEN; helo=stw1.rcdrun.com
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Tabulated list mode got quite a good support for zooming. Though I am
observing that if one of entries was too long that the next entry will
stick to the previous on decrease of text size. Video is to explain it:

https://gnu.support/files/tmp/2021-05-25/2021-05-25-08:00:37.ogv

In this case, on the video, the word "Task" is moved away from the
column because the previous entry is too long, the one which shows three
dots on the end.



In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.29, cairo version 1.17.4)
 of 2021-05-20 built on protected.rcdrun.com
Repository revision: 328efb47d04e3aa996bb8cd387d01c1a66ec29f5
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Parabola GNU/Linux-libre

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE
XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 53111 5760)
 (symbols 48 7127 3)
 (strings 32 19325 1817)
 (string-bytes 1 630436)
 (vectors 16 13240)
 (vector-slots 8 175057 10199)
 (floats 8 21 43)
 (intervals 56 200 0)
 (buffers 992 11))

-- 
Thanks,
Jean Louis

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns





Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#48639; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 10 Jan 2022 01:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.